import request from '@/utils/request'

/**
 * 查询欢迎语列表
 * @param {*} query 
 * @returns 
 */
export function list(query) {
    return request({
        url: '/app/welcome/list',
        method: 'get',
        params: query
    })
}

/**
 * 保存欢迎语
 * @param {*} data 
 * @returns 
 */
export function save(data) {
    return request({
        url: '/app/welcome/save',
        method: 'post',
        data: data
    })
}

/**
 * 删除欢迎语
 * @param {*} data 
 * @returns 
 */
export function deleteByIds(ids) {
    return request({
        url: '/app/welcome/deleteByIds/' + ids,
        method: 'delete'
    })
}

/**
 * 根据id获取欢迎语详情
 * @param {*} data 
 * @returns 
 */
export function getById(id) {
    return request({
        url: '/app/welcome/getById/' + id,
        method: 'get'
    })
}

/**
 * 设置发送状态
 * @param {*} data 
 * @returns 
 */
export function setSendStatus(data) {
    return request({
        url: '/app/welcome/setSendStatus',
        method: 'post',
        data: data
    })
}